#ifndef TONEHPP
#define TONEHPP

#include <string.h>

#include "pushbut.hpp"
#include "events.hpp"

enum NOTE {DO, DO_SHARP,
	   RE, RE_SHARP,
	   MI,
	   FA, FA_SHARP,
	   SOL, SOL_SHARP,
	   LA, LA_SHARP,
	   TI
};

typedef struct s {
  char*	note_name;
  int  	note_pitch;
} NOTE_DATA;


class ToneButton: public MonostablePushButton {

protected:

	NOTE note;
	int key_state;

public:

	ToneButton(int, int, NOTE);
	void LeftButtonPressed();
	void LeftButtonReleased();
};

#endif
